Subject: Re: [PATCH 1/5] powerpc: consolidate feature fixup code

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 24 Oct 2006 07:12:30 +1000

> > Index: linux-cell/include/asm-powerpc/cputable.h
> > ===================================================================
> > --- linux-cell.orig/include/asm-powerpc/cputable.h	2006-10-13 16:00:28.000000000 +1000
> > +++ linux-cell/include/asm-powerpc/cputable.h	2006-10-13 16:19:51.000000000 +1000
> > @@ -89,8 +89,7 @@ struct cpu_spec {
> >  
> >  extern struct cpu_spec		*cur_cpu_spec;
> >  
> > -extern void identify_cpu(unsigned long offset, unsigned long cpu);
> > -extern void do_cpu_ftr_fixups(unsigned long offset);
> > +extern struct cpu_spec *identify_cpu(unsigned long offset);
> 
> ... breaks the ARCH=ppc build.

Gack... I though I tested, I must have screwed up. Should be easy enough
to fix though. I'll have a look.

Ben.